/* iluconf.h.  Generated automatically by configure.  */
/*
BeginILUCopyright

Copyright (c) 1991-1999 Xerox Corporation.  All Rights Reserved.

Unlimited use, reproduction, modification, and distribution of this
software and modified versions thereof is permitted.  Permission is
granted to make derivative works from this software or a modified
version thereof.  Any copy of this software, a modified version
thereof, or a derivative work must include both the above copyright
notice of Xerox Corporation and this paragraph.  Any distribution of
this software, a modified version thereof, or a derivative work must
comply with all applicable United States export control laws.  This
software is made available AS IS, and XEROX CORPORATION DISCLAIMS ALL
WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE, AND NOTWITHSTANDING ANY OTHER PROVISION CONTAINED HEREIN, ANY
LIABILITY FOR DAMAGES RESULTING FROM THE SOFTWARE OR ITS USE IS
EXPRESSLY DISCLAIMED, WHETHER ARISING IN CONTRACT, TORT (INCLUDING
NEGLIGENCE) OR STRICT LIABILITY, EVEN IF XEROX CORPORATION IS ADVISED
OF THE POSSIBILITY OF SUCH DAMAGES.

EndILUCopyright

$Id: iluconf.h.in,v 1.74 1999/08/12 04:43:43 janssen Exp $
*/
#ifndef	_iluconf_h_
#define	_iluconf_h_

#define ILU_MACHINE_TYPE ""
#define ILU_COMPILE_COMMAND "/usr/bin/cc"
#define ILU_ANSI_C_LIBRARY " -lm"
#define ILU_SYSAUX_LIBRARIES ""
#define CTYPE_LOCALE "C"

#ifndef ILU_BUILDING_STUBBER
#ifdef _WIN32 /* { */

# include <stddef.h>
/* boost default winsock number of fds from the default of 64 */
# if defined(ILU_BUILDING_KERNEL)
#  define FD_SETSIZE 256
# endif

# include <winsock2.h>
typedef int SOCKET_SIZE_TYPE;

#else /* } Non-Win32 { */

# include <sys/socket.h>
# include <stdint.h>
typedef socklen_t SOCKET_SIZE_TYPE;
typedef int SOCKET;

#endif /* } */
#endif

/*
 * Arch-specific sizes for different types.
 */

/* GCC 32-bit (on Linux, at least). */
#ifdef __i386__
# define SIZEOF_CHAR          1
# define SIZEOF_SHORT         2
# define SIZEOF_INT           4
# define SIZEOF_LONG          4
# define SIZEOF_VOID_P        4
# define SIZEOF_FN_P          4
# define SIZEOF_LONG_LONG     8
# define SIZEOF_LONG_DOUBLE   12
# define SIZEOF_ENUM          4
# define SIZEOF_WCHAR_T       4
# define LONG_CARDINAL_TYPE   unsigned long long
# define LONG_INTEGER_TYPE    long long
# define LONG_REAL_TYPE       long double
#endif

/* GCC 64-bit (on Linux, at least). */
#if defined(__x86_64__) && !defined(_WIN64)
# define SIZEOF_CHAR          1
# define SIZEOF_SHORT         2
# define SIZEOF_INT           4
# define SIZEOF_LONG          8
# define SIZEOF_VOID_P        8
# define SIZEOF_FN_P          8
# define SIZEOF_LONG_LONG     8
# define SIZEOF_LONG_DOUBLE   16
# define SIZEOF_ENUM          4
# define SIZEOF_WCHAR_T       4
# define LONG_CARDINAL_TYPE   unsigned long
# define LONG_INTEGER_TYPE    long
# define LONG_REAL_TYPE       long double
#endif

/* Windows 64-bit. */
#ifdef _WIN64
# define SIZEOF_CHAR          1
# define SIZEOF_SHORT         2
# define SIZEOF_INT           4
# define SIZEOF_LONG          4
# define SIZEOF_VOID_P        8
# define SIZEOF_FN_P          8
# define SIZEOF_LONG_LONG     8
# define SIZEOF_LONG_DOUBLE   8
# define SIZEOF_ENUM          4
# define SIZEOF_WCHAR_T       2
# define LONG_CARDINAL_TYPE   unsigned long long
# define LONG_INTEGER_TYPE    long long

/* Windows 32-bit. */
#elif defined(_WIN32)
# define SIZEOF_CHAR          1
# define SIZEOF_SHORT         2
# define SIZEOF_INT           4
# define SIZEOF_LONG          4
# define SIZEOF_VOID_P        4
# define SIZEOF_FN_P          4
# define SIZEOF_LONG_LONG     8
# define SIZEOF_LONG_DOUBLE   8
# define SIZEOF_ENUM          4
# define SIZEOF_WCHAR_T       2
# define LONG_CARDINAL_TYPE   unsigned long long
# define LONG_INTEGER_TYPE    long long
#endif

/* Define as the return type of signal handlers (int or void).  */
#define RETSIGTYPE void

/* Define this if unistd.h defines a prototype for gethostname() */
#define HAVE_GETHOSTNAME_PROTOTYPE 1

/* Define if you have the vprintf function.  */
#define HAVE_VPRINTF 1

/* Define if you have the BSD-ish function `getwd' */
#define HAVE_GETWD 1

/* Define if you have the function `putenv' */
#define HAVE_PUTENV 1

/* Define if you have the strdup function.  */
#define HAVE_STRDUP 1

/* Define if you have the memmove function.  */
#define HAVE_MEMMOVE 1

/* Define if the system has has a BSD-style socket library */
#define _HAS_SOCKETS 1

/* Define this if sys/socket.h provides prototypes for recv/send */
#define HAS_RECV_AND_SEND_PROTOTYPES 1

/* Define this if you want debugging print statements included in the kernel */
#ifdef VMX86_DEBUG
#define ENABLE_DEBUGGING 1
#endif

/* Define this to be the value of the ILU root directory */
#define ILUHOME "/usr/local/ilu"

/* Define this to be the value of the ILU simple binding directory,
   if using shared files for simple binding */
#define ILU_BINDING_DIRECTORY "/usr/local/ilu/lib/binding"

#ifdef _WIN32 /* { */
# include <BaseTsd.h> /* For SIZE_T. */

# define size_t SIZE_T
# define ssize_t SSIZE_T

/* The Windows CRT provides _snprintf with the same signature as sprintf. */
# define snprintf _snprintf

/* Define this if you're building the _WIN32 thread support */
# define ILU_WIN32_THREADS

/* How many seconds to wait for a connect on a nonblocking socket to complete
   and the socket to become writeable */
# define ILU_WIN32_CONNECT_WRITE_TIMEOUT 30

#else /* } Non Win32  { */

# define SIZE_T size_t
# define SSIZE_T ssize_t

/* Define this if stdio.h or unistd.h defines a prototype for sys_errlist() */
# define ILU_HAVE_SYS_ERRLIST_PROTOTYPE 1

/* Define if you have the gettimeofday function.  */
# define HAVE_GETTIMEOFDAY 1

/* Define if you have the Solaris-ish function `getrlimit' */
# define HAVE_GETRLIMIT 1

/* Define if the system is more or less POSIX-compliant */
# define _IS_POSIX 1

/* Define if the system has some BSD networking calls */
# define _IS_BSD 1

/* Define if you need to include sys/select.h to use select(2) */
# define _NEEDS_SELECT_H 1

/* Define this if your system needs to #include <netinet/tcp.h>
   to get the NODELAY flag defined (BSDI 2.0 needs this) */
# define ILU_NEEDS_NETINET_TCP_H_FOR_NODELAY 1

/* Define this if you're including the Posix thread (draft 10) support */
# define ILU_POSIX_THREADS 1

#endif /* } */

/* Define this if you are including support for CORBA GIOP protocol */
#define IIOP_PROTOCOL 1

/* Define this to select a default protocol for ILU use, and for intra-address-space use */
#define ILU_DEFAULT_PROTOCOL_INFO "iiop"

/* Define this if you are including support for TCP/IP transport via sockets */
#define TCPIP_TRANSPORT 1

/* Define this for the default transport info to use with the default protocol */
#define ILU_DEFAULT_TRANSPORT_INFO "corbaloc::0:0"

/* Define this if adding support for VARIANT types (and CORBA `any') */
#define ADD_VARIANT_SUPPORT 1

/* Define this if adding support for pickle 2 format (default) */
#define ADD_PICKLE2_SUPPORT 1

/* Define this if adding support for in-memory type database */
#define ADD_TYPE_REGISTRATION_SUPPORT 1

/* Define this if the CORBA C++ mapping should use NestedClasses - default is Underscores */
#define CPLUSPLUSMAPPING_NESTEDCLASSES 1

/* Define this if the direct OMG IDL support by Martin von Loewis is configured in */
#define ADD_DIRECT_OMG_IDL_SUPPORT 1

/* Define this to relax the pinfo comparison rules for singleton objects */
#define ILU_RELAXED_SINGLETON_CHECKING 1

/* Define this to include support for in-memory type structure database */
#define ADD_TYPE_REGISTRATION_SUPPORT 1

/* Define if you don't have vprintf but do have _doprnt.  */
/* #undef HAVE_DOPRNT */

/* Define if you have the popen function.  */
/* #undef HAVE_POPEN */

/* HP UX seems to need the following defined to have the ANSI C header files
   work properly */
/* #undef _INCLUDE_POSIX_SOURCE */

/* Define this if you are using the #include files that come with the GNU C library */
/* #undef ILU_USING_GLIBC */

/* Define this if your POSIX way of doing nonblocking I/O is broken the same
   way SunOS 4.1 is broken */
/* #undef HAS_SOLARIS1_NONBLOCKING_BUG */

/* Define this if your POSIX getgroups call requires an int[] argument instead of
   the standard gid_t[] argument, as in SunOS 4.1 with acc */
/* #undef HAS_SOLARIS1_GID_T_SIZE_BUG */

/* Define this if your socket recv/send calls are broken over TCP as they are for
   Solaris 2.{4,5} */
/* #undef HAS_SOLARIS2_TCP_SOCKET_BUG */

/* Define this if you're including the Solaris 2 thread support */
/* #undef ILU_SOLARIS2_THREADS */

/* Define this if you're including the DCE thread (POSIX draft 4) support */
/* #undef ILU_DCE_THREADS */

/* Define this if you want the collection of tcp statistics to be enabled
- this is implied if ENABLE_DEBUGGING is defined */
/* #undef ENABLE_TCP_STATS */

/* Define this to be the value of the ILU registry directory */
/* #undef REGISTRY_LAST_RESORT */

/* Define this to be the domain of the simple binding server, if using ILU
   service for simple binding */
/* #undef ILU_BINDING_REALM */

/* Define this to be the host ip addr of the simple binding server, if using ILU
   service for simple binding */
/* #undef ILU_BINDING_HOST */

/* Define this to be the network port on the binding host, if using ILU service
   for simple binding */
/* #undef ILU_BINDING_PORT */

/* Define this to be the binding multicast address, if using multicast for
   simple binding */
/* #undef ILU_BINDING_MCASTADDR */

/* Define this to be the fully-qualified domain name, if applicable */
/* #define FULLY_QUALIFIED_DOMAIN_NAME eng.vmware.com */

/* Define this if the filename canonicalization code should strip "/tmp_mnt"
   prefixes from the front of pathnames */
/* #undef REMOVE_AUTOMOUNT_TMP_MNT */

/* Define this if you are including support for Sun RPC protocol */
/* #undef SUNRPC_PROTOCOL */

/* Define this if you are including support for XNS Courier protocol */
/* #undef COURIER_PROTOCOL */

/* Define this if you are including support for World Wide Web HTTP protocol */
/* #undef HTTP_PROTOCOL */

/* Define this if you are including support for the W3C NG protocol */
/* #undef W3NG_PROTOCOL */

/* Define this if you want w3ng to be able to carry arbitrary ILU objects, even
   those not exported via w3ng */
/* #undef ILU_W3NG_ALLOW_ILU_URLS */

/* Define this if you want w3ng to use relative ih passing in object references */
/* #undef ILU_W3NG_RELATIVE_IH_PASSING */

/* Define this if you are including support for the Java RMI protocol */
/* #undef JAVARMI_PROTOCOL */

/* Define this if you are including support for UDP/IP transport via sockets */
/* #undef UDPSOCKET_TRANSPORT */

/* Define this if you are including support for XNS/SPP transport via TLI */
/* #undef XNSSPP_TRANSPORT */

/* Define this if you are including support for the Sun RPC record marking
   transport filter */
/* #undef SUNRPCRM_TRANSPORT */

/* Define this if you are including support for the W3C multiplexing record
   marking transport filter */
/* #undef W3MUX_TRANSPORT */

/* Define this if you are including support for the batching transport filter */
/* #undef BATCHING_TRANSPORT */

/* Define this if you are including support for the secure transport filter */
/* #undef SECURE_TRANSPORT */

/* Define this if you are including support for the zlib compression transport
   filter */
/* #undef ILU_ZLIB_TRANSPORT */

/* Define this if you are including support for the SSL security mechanism */
/* #undef INCLUDE_SSL_SECMECH */

/* Define this if you are including support for the Sun RPC UNIX auth protocol */
/* #undef USE_SUNRPC_UNIX_AUTHENTICATION */

/* Define this is the Python libraries are installed (with libainstall) */
/* #undef PYTHON_LIBRARIES_INSTALLED */

/* Define this if ILU true objects shouldn't be GC'ed */
/* #undef ILU_OLD_PYTHON_GC_BEHAVIOR */

/* Define this if Python mappings should be new CORBA-style */
/* #undef ILU_CORBA_PYTHON_MAPPING */

/* Define this to enable hack of mapping ISL types which are sequences of
   a record type, which is itself a name-value pair record, to Python
   dictionaries */
/* #undef ILU_PYTHON_DICTIONARIES */

/* Define this if the CORBA C++ mapping should use Namespaces - default is
   Underscores */
/* #undef CPLUSPLUSMAPPING_NAMESPACES */

/* Define this to use new ISL keywords without ILU prefix */
/* #undef ILU_USE_NEW_KEYWORDS */

/* Define this if the idl2isl parser has been built */
/* #undef ADD_IDL_SUPPORT */

/* Define this if the xmlidl parser has been built */
/* #undef ILU_XMLIDL_SUPPORT */

/* Define this to include support for ILU fixed-point types */
/* #undef ILU_FIXED_POINT_SUPPORT */

/* Define this to include support for ILU C bignum library */
/* #undef ILU_BIGNUM_LIBRARY_SUPPORT */

/* Define this to include code in C runtime to gather timing statistics */
/* #undef ILU_C_TIMING_STATISTICS */

/* Define this to enable generation of fake surrogate classes for unknown
   object types where multiple supertypes are known */
/* #undef ILU_GENERATE_SUBTYPES */

/* Define this to enable support for aliased/optional reference types and disable
   support for standard OPTIONAL */
/* #undef ILU_REFERENCE_TYPES */

/* Define this to enable support for HTTP-ng-style object types */
/* #undef ILU_HTTPNG_OBJECTS */

/* Define this to use the version 2 type UID hash algorithm instead of the
   2.0alpha12 one */
#define ILU_TYPEUID_V2 1

#if defined(ILU_TYPEUID_HTTPNG)
#define ILU_TYPEUID_VERSION_STRING "httpng v1"
#elif defined(ILU_TYPEUID_V2)
#define ILU_TYPEUID_VERSION_STRING "v2 (post-2.0alpha12)"
#else
#define ILU_TYPEUID_VERSION_STRING "v1 (pre-2.0alpha13)"
#endif

#endif	/* _iluconf_h_ */

